LayoutStyle.ComponentPlacement (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing, class: LayoutStyle, enum: ComponentPlacement
Keywords: javax.swing.LayoutStyle.ComponentPlacement class

# Enum Class LayoutStyle.ComponentPlacement

java.lang.Object
java.lang.Enum<LayoutStyle.ComponentPlacement>
javax.swing.LayoutStyle.ComponentPlacement

All Implemented Interfaces:
  `Serializable, Comparable<LayoutStyle.ComponentPlacement>, Constable`

Enclosing class:
  `LayoutStyle`

public static enum LayoutStyle.ComponentPlacement extends Enum<LayoutStyle.ComponentPlacement>
`ComponentPlacement` is an enumeration of the possible ways two components can be placed relative to each other. `ComponentPlacement` is used by the `LayoutStyle` method `getPreferredGap`. Refer to `LayoutStyle` for more information.

Since:
  1.6
See Also:
  - `LayoutStyle.getPreferredGap(JComponent,JComponent, ComponentPlacement,int,Container)`

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`
  Modifier and Type
  Class
  Description
  `static final class`
  `Enum.EnumDesc<E extends Enum<E>>`
  A nominal descriptor for an `enum` constant.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INDENT`
  Enumeration value indicating the distance to indent a component is being requested.
  `RELATED`
  Enumeration value indicating the two components are visually related and will be placed in the same parent.
  `UNRELATED`
  Enumeration value indicating the two components are visually unrelated and will be placed in the same parent.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LayoutStyle.ComponentPlacement`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LayoutStyle.ComponentPlacement[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`
  Modifier and Type
  Method
  Description
  `protected final Object`
  `clone()`
  Throws CloneNotSupportedException.
  `final int`
  `compareTo(LayoutStyle.ComponentPlacement o)`
  Compares this enum with the specified object for order.
  `final Optional<Enum.EnumDesc<LayoutStyle.ComponentPlacement>>`
  `describeConstable()`
  Returns an enum descriptor `EnumDesc` for this instance, if one can be constructed, or an empty `Optional` if one cannot be.
  `final boolean`
  `equals(Object other)`
  Returns true if the specified object is equal to this enum constant.
  `protected final void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization has been deprecated for removal.
  `final Class<LayoutStyle.ComponentPlacement>`
  `getDeclaringClass()`
  Returns the Class object corresponding to this enum constant's enum type.
  `final int`
  `hashCode()`
  Returns a hash code for this enum constant.
  `final String`
  `name()`
  Returns the name of this enum constant, exactly as declared in its enum declaration.
  `final int`
  `ordinal()`
  Returns the ordinal of this enumeration constant (its position in its enum declaration, where the initial constant is assigned an ordinal of zero).
  `String`
  `toString()`
  Returns the name of this enum constant, as contained in the declaration.
  `static <T extends Enum<T>>
  T`
  `valueOf(Class<T> enumClass, String name)`
  Returns the enum constant of the specified enum class with the specified name.

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Enum Constant Details

  - ### RELATED

    public static final LayoutStyle.ComponentPlacement RELATED
    Enumeration value indicating the two components are visually related and will be placed in the same parent. For example, a `JLabel` providing a label for a `JTextField` is typically visually associated with the `JTextField`; the constant `RELATED` is used for this.

  - ### UNRELATED

    public static final LayoutStyle.ComponentPlacement UNRELATED
    Enumeration value indicating the two components are visually unrelated and will be placed in the same parent. For example, groupings of components are usually visually separated; the constant `UNRELATED` is used for this.

  - ### INDENT

    public static final LayoutStyle.ComponentPlacement INDENT
    Enumeration value indicating the distance to indent a component is being requested. For example, often times the children of a label will be horizontally indented from the label. To determine the preferred distance for such a gap use the `INDENT` type.

    This value is typically only useful with a direction of `EAST` or `WEST`.

- ## Method Details

  - ### values

    public static LayoutStyle.ComponentPlacement[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LayoutStyle.ComponentPlacement valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null